Bug 575745 - OpenJDK ThreadGroup finalizer allows creation of false root ThreadGroups (6639665)
Summary: OpenJDK ThreadGroup finalizer allows creation of false root ThreadGroups (663...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-22 10:21 UTC by Marc Schoenefeld
Modified: 2019-09-29 12:35 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-09 02:24:00 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0339 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security update 2010-04-01 00:14:40 UTC

Comment 1 Murray McAllister 2010-03-31 15:16:33 UTC
The visibility level of the parent field in the ThreadGroup class allows
alteration during finalization. This could be misused to create false root
("system") ThreadGroups. This is a defense in depth fix.

Comment 2 errata-xmlrpc 2010-04-01 00:14:57 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0339 https://rhn.redhat.com/errata/RHSA-2010-0339.html

Comment 3 Marc Schoenefeld 2010-04-06 15:51:29 UTC
Upstream does not consider this fix to be a security fix but rather a
preventive hardening patch.  Therefore, no CVE is planned to be assigned to
this issue.

Comment 4 Fedora Update System 2010-04-06 16:33:38 UTC
java-1.6.0-openjdk-1.6.0.0-34.b17.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-34.b17.fc11

Comment 5 Fedora Update System 2010-04-06 16:36:06 UTC
java-1.6.0-openjdk-1.6.0.0-37.b17.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-37.b17.fc12

Comment 6 Fedora Update System 2010-04-09 01:27:04 UTC
java-1.6.0-openjdk-1.6.0.0-37.b17.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2010-04-09 01:30:42 UTC
java-1.6.0-openjdk-1.6.0.0-34.b17.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-04-09 06:57:03 UTC
java-1.6.0-openjdk-1.6.0.0-37.b17.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-37.b17.fc13

Comment 9 Fedora Update System 2010-04-09 21:05:18 UTC
java-1.6.0-openjdk-1.6.0.0-37.b17.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.